/*  
 *  - - - - - - - - - - - -  
 *   g a l _ d r _ t e s t  
 *  - - - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *  
 *  Description: 
 *  
 *     Test gal_dr routine.  
 *  
 *  Status:  
 *  
 *     Internal test routine  
 *  
 *  Called:
 *  
 *     gal_dr  
 *     gal_vdv  
 *  
 *  This Revision:
 *  
 *     2008 April 20  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end.  
 */  
  
#include "gal_dr_test.h"
#include "gal_dr.h"
#include "gal_test.h"
  
void  
gal_dr_test  
 (  
 ) 
 
{
  
    double r[3][3] ;  
  
    extern int gal_tfunc ;  
  
/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  
  
    r[0][0] = 3.0 ;  
    r[1][0] = 0.0 ;  
    r[2][0] = 1.0 ;  
    r[0][1] = -4.0 ;  
    r[1][1] = 5.0 ;  
    r[2][1] = 0.0 ;  
    r[0][2] = 2.0 ;  
    r[1][2] = 7.0 ;  
    r[2][2] = 6.0 ;  
  
    gal_vdv ( gal_dr ( r ) , 52.0, 0.0, "gal_dr", "a" ) ;  
  
    gal_tfunc++ ;  

}

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
